package invoice;

import javax.jdo.PersistenceManager;
import javax.jdo.Query;
import java.io.IOException;
import java.util.Collection;
import java.util.Iterator;
import java.util.ArrayList;


/**
 * @author S.Chassande-Barrioz
 */
public class Builder {

    public static void main(String[] args) {
        InvoiceAppsHelper a = null;
        try {
            a = new InvoiceAppsHelper(args[0]);
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(-1);
        }
        System.out.println("Creating the addresses...");
        a.createAdresses();

        System.out.println("Creating the products...");
        a.createProducts();

        System.out.println("Creating the invoice...");
        Invoice i = a.createInvoice();

        System.out.println("Data base:");
        System.out.println("==========");
        a.printAll();
    }
}
