/**
 * copyright area
 */

package org.objectweb.speedo.runtime.genclass.collection;

import org.objectweb.speedo.api.SpeedoAccessor;
import org.objectweb.jorm.type.api.PType;
import org.objectweb.jorm.naming.api.PName;

import java.util.HashSet;
import java.util.Collection;
import java.util.Set;

import javax.jdo.spi.JDOImplHelper;

/**
 * @author	P. D?chamboux
 */
public class SetImpl extends CollectionImpl implements java.util.Set {

    static {
        JDOImplHelper.registerClass(
                SetImpl.class,
                new String[0],
                new Class[0],
                new byte[0],
                null,
                new SetImpl());
    }

    /**
     * Instanciates a new collection.
     */
    public SetImpl() {
        super();
    }

    // ---------------------------------------------------------------------------
    // Overriden methods
    // ---------------------------------------------------------------------------

    public Object createGenClass() {
        return new HashSet();
    }

    protected SpeedoAccessor createAccessor() {
        return new SetAccessor(this);
    }
}
