/**
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.relations;

import java.util.Collection;
import java.util.ArrayList;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class C {
public String name;

    public long ident;

    public D d; // one one relation, reverse = c

    public Collection ds; // many many relation, reverse = cs

    public Collection nds; // one many relation, reverse = nc

    public C () {
    }

    public C (String name) {
        this.name = name;
        this.ds = new ArrayList();
        this.nds = new ArrayList();
    }
}
