/**
 * Copyright (C) 2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.relations;

import java.util.Collection;
import java.util.ArrayList;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class D {

	public long ident;

	public String name;

    public C c; // one one relation, reverse = d

    public Collection cs; // many many relation, reverse = ds

    public C nc; // one many relation, reverse = nds

    public D () {
    }

    public D (String name) {
        this.name = name;
        this.cs = new ArrayList();
    }
}
