/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */

package com.sun.jdotck.models.fieldtypes;

import java.util.*;
import java.math.*;

public class HashMapStringValueCollections {
	public int identifier;
	public HashMap HashMapOfObject_String0;
	public HashMap HashMapOfObject_String1;
	public HashMap HashMapOfObject_String2;
	public HashMap HashMapOfObject_String3;
	public HashMap HashMapOfObject_String4;
	public HashMap HashMapOfObject_String5;
	public HashMap HashMapOfObject_String6;
	public HashMap HashMapOfObject_String7;
	public HashMap HashMapOfObject_String8;
	public HashMap HashMapOfSimpleClass_String9;
	public HashMap HashMapOfSimpleClass_String10;
	public HashMap HashMapOfSimpleClass_String11;
	public HashMap HashMapOfSimpleClass_String12;
	public HashMap HashMapOfSimpleClass_String13;
	public HashMap HashMapOfSimpleClass_String14;
	public HashMap HashMapOfSimpleClass_String15;
	public HashMap HashMapOfSimpleClass_String16;
	public HashMap HashMapOfSimpleClass_String17;
	public HashMap HashMapOfSimpleInterface_String18;
	public HashMap HashMapOfSimpleInterface_String19;
	public HashMap HashMapOfSimpleInterface_String20;
	public HashMap HashMapOfSimpleInterface_String21;
	public HashMap HashMapOfSimpleInterface_String22;
	public HashMap HashMapOfSimpleInterface_String23;
	public HashMap HashMapOfSimpleInterface_String24;
	public HashMap HashMapOfSimpleInterface_String25;
	public HashMap HashMapOfSimpleInterface_String26;
	public HashMap HashMapOfString_String27;
	public HashMap HashMapOfString_String28;
	public HashMap HashMapOfString_String29;
	public HashMap HashMapOfString_String30;
	public HashMap HashMapOfString_String31;
	public HashMap HashMapOfString_String32;
	public HashMap HashMapOfString_String33;
	public HashMap HashMapOfString_String34;
	public HashMap HashMapOfString_String35;
	public HashMap HashMapOfDate_String36;
	public HashMap HashMapOfDate_String37;
	public HashMap HashMapOfDate_String38;
	public HashMap HashMapOfDate_String39;
	public HashMap HashMapOfDate_String40;
	public HashMap HashMapOfDate_String41;
	public HashMap HashMapOfDate_String42;
	public HashMap HashMapOfDate_String43;
	public HashMap HashMapOfDate_String44;
	public HashMap HashMapOfBigDecimal_String45;
	public HashMap HashMapOfBigDecimal_String46;
	public HashMap HashMapOfBigDecimal_String47;
	public HashMap HashMapOfBigDecimal_String48;
	public HashMap HashMapOfBigDecimal_String49;
	public HashMap HashMapOfBigDecimal_String50;
	public HashMap HashMapOfBigDecimal_String51;
	public HashMap HashMapOfBigDecimal_String52;
	public HashMap HashMapOfBigDecimal_String53;
	public HashMap HashMapOfBigInteger_String54;
	public HashMap HashMapOfBigInteger_String55;
	public HashMap HashMapOfBigInteger_String56;
	public HashMap HashMapOfBigInteger_String57;
	public HashMap HashMapOfBigInteger_String58;
	public HashMap HashMapOfBigInteger_String59;
	public HashMap HashMapOfBigInteger_String60;
	public HashMap HashMapOfBigInteger_String61;
	public HashMap HashMapOfBigInteger_String62;
	public HashMap HashMapOfByte_String63;
	public HashMap HashMapOfByte_String64;
	public HashMap HashMapOfByte_String65;
	public HashMap HashMapOfByte_String66;
	public HashMap HashMapOfByte_String67;
	public HashMap HashMapOfByte_String68;
	public HashMap HashMapOfByte_String69;
	public HashMap HashMapOfByte_String70;
	public HashMap HashMapOfByte_String71;
	public HashMap HashMapOfDouble_String72;
	public HashMap HashMapOfDouble_String73;
	public HashMap HashMapOfDouble_String74;
	public HashMap HashMapOfDouble_String75;
	public HashMap HashMapOfDouble_String76;
	public HashMap HashMapOfDouble_String77;
	public HashMap HashMapOfDouble_String78;
	public HashMap HashMapOfDouble_String79;
	public HashMap HashMapOfDouble_String80;
	public HashMap HashMapOfFloat_String81;
	public HashMap HashMapOfFloat_String82;
	public HashMap HashMapOfFloat_String83;
	public HashMap HashMapOfFloat_String84;
	public HashMap HashMapOfFloat_String85;
	public HashMap HashMapOfFloat_String86;
	public HashMap HashMapOfFloat_String87;
	public HashMap HashMapOfFloat_String88;
	public HashMap HashMapOfFloat_String89;
	public HashMap HashMapOfInteger_String90;
	public HashMap HashMapOfInteger_String91;
	public HashMap HashMapOfInteger_String92;
	public HashMap HashMapOfInteger_String93;
	public HashMap HashMapOfInteger_String94;
	public HashMap HashMapOfInteger_String95;
	public HashMap HashMapOfInteger_String96;
	public HashMap HashMapOfInteger_String97;
	public HashMap HashMapOfInteger_String98;
	public HashMap HashMapOfLong_String99;
	public HashMap HashMapOfLong_String100;
	public HashMap HashMapOfLong_String101;
	public HashMap HashMapOfLong_String102;
	public HashMap HashMapOfLong_String103;
	public HashMap HashMapOfLong_String104;
	public HashMap HashMapOfLong_String105;
	public HashMap HashMapOfLong_String106;
	public HashMap HashMapOfLong_String107;
	public HashMap HashMapOfShort_String108;
	public HashMap HashMapOfShort_String109;
	public HashMap HashMapOfShort_String110;
	public HashMap HashMapOfShort_String111;
	public HashMap HashMapOfShort_String112;
	public HashMap HashMapOfShort_String113;
	public HashMap HashMapOfShort_String114;
	public HashMap HashMapOfShort_String115;
	public HashMap HashMapOfShort_String116;

	public static final String[] fieldSpecs = {
		"public HashMap HashMapOfObject_String0",
		"embedded-value=true public HashMap HashMapOfObject_String1",
		"embedded-value=false public HashMap HashMapOfObject_String2",
		"embedded-key=true  public HashMap HashMapOfObject_String3",
		"embedded-key=true embedded-value=true public HashMap HashMapOfObject_String4",
		"embedded-key=true embedded-value=false public HashMap HashMapOfObject_String5",
		"embedded-key=false  public HashMap HashMapOfObject_String6",
		"embedded-key=false embedded-value=true public HashMap HashMapOfObject_String7",
		"embedded-key=false embedded-value=false public HashMap HashMapOfObject_String8",
		"public HashMap HashMapOfSimpleClass_String9",
		"embedded-value=true public HashMap HashMapOfSimpleClass_String10",
		"embedded-value=false public HashMap HashMapOfSimpleClass_String11",
		"embedded-key=true  public HashMap HashMapOfSimpleClass_String12",
		"embedded-key=true embedded-value=true public HashMap HashMapOfSimpleClass_String13",
		"embedded-key=true embedded-value=false public HashMap HashMapOfSimpleClass_String14",
		"embedded-key=false  public HashMap HashMapOfSimpleClass_String15",
		"embedded-key=false embedded-value=true public HashMap HashMapOfSimpleClass_String16",
		"embedded-key=false embedded-value=false public HashMap HashMapOfSimpleClass_String17",
		"public HashMap HashMapOfSimpleInterface_String18",
		"embedded-value=true public HashMap HashMapOfSimpleInterface_String19",
		"embedded-value=false public HashMap HashMapOfSimpleInterface_String20",
		"embedded-key=true  public HashMap HashMapOfSimpleInterface_String21",
		"embedded-key=true embedded-value=true public HashMap HashMapOfSimpleInterface_String22",
		"embedded-key=true embedded-value=false public HashMap HashMapOfSimpleInterface_String23",
		"embedded-key=false  public HashMap HashMapOfSimpleInterface_String24",
		"embedded-key=false embedded-value=true public HashMap HashMapOfSimpleInterface_String25",
		"embedded-key=false embedded-value=false public HashMap HashMapOfSimpleInterface_String26",
		"public HashMap HashMapOfString_String27",
		"embedded-value=true public HashMap HashMapOfString_String28",
		"embedded-value=false public HashMap HashMapOfString_String29",
		"embedded-key=true  public HashMap HashMapOfString_String30",
		"embedded-key=true embedded-value=true public HashMap HashMapOfString_String31",
		"embedded-key=true embedded-value=false public HashMap HashMapOfString_String32",
		"embedded-key=false  public HashMap HashMapOfString_String33",
		"embedded-key=false embedded-value=true public HashMap HashMapOfString_String34",
		"embedded-key=false embedded-value=false public HashMap HashMapOfString_String35",
		"public HashMap HashMapOfDate_String36",
		"embedded-value=true public HashMap HashMapOfDate_String37",
		"embedded-value=false public HashMap HashMapOfDate_String38",
		"embedded-key=true  public HashMap HashMapOfDate_String39",
		"embedded-key=true embedded-value=true public HashMap HashMapOfDate_String40",
		"embedded-key=true embedded-value=false public HashMap HashMapOfDate_String41",
		"embedded-key=false  public HashMap HashMapOfDate_String42",
		"embedded-key=false embedded-value=true public HashMap HashMapOfDate_String43",
		"embedded-key=false embedded-value=false public HashMap HashMapOfDate_String44",
		"public HashMap HashMapOfBigDecimal_String45",
		"embedded-value=true public HashMap HashMapOfBigDecimal_String46",
		"embedded-value=false public HashMap HashMapOfBigDecimal_String47",
		"embedded-key=true  public HashMap HashMapOfBigDecimal_String48",
		"embedded-key=true embedded-value=true public HashMap HashMapOfBigDecimal_String49",
		"embedded-key=true embedded-value=false public HashMap HashMapOfBigDecimal_String50",
		"embedded-key=false  public HashMap HashMapOfBigDecimal_String51",
		"embedded-key=false embedded-value=true public HashMap HashMapOfBigDecimal_String52",
		"embedded-key=false embedded-value=false public HashMap HashMapOfBigDecimal_String53",
		"public HashMap HashMapOfBigInteger_String54",
		"embedded-value=true public HashMap HashMapOfBigInteger_String55",
		"embedded-value=false public HashMap HashMapOfBigInteger_String56",
		"embedded-key=true  public HashMap HashMapOfBigInteger_String57",
		"embedded-key=true embedded-value=true public HashMap HashMapOfBigInteger_String58",
		"embedded-key=true embedded-value=false public HashMap HashMapOfBigInteger_String59",
		"embedded-key=false  public HashMap HashMapOfBigInteger_String60",
		"embedded-key=false embedded-value=true public HashMap HashMapOfBigInteger_String61",
		"embedded-key=false embedded-value=false public HashMap HashMapOfBigInteger_String62",
		"public HashMap HashMapOfByte_String63",
		"embedded-value=true public HashMap HashMapOfByte_String64",
		"embedded-value=false public HashMap HashMapOfByte_String65",
		"embedded-key=true  public HashMap HashMapOfByte_String66",
		"embedded-key=true embedded-value=true public HashMap HashMapOfByte_String67",
		"embedded-key=true embedded-value=false public HashMap HashMapOfByte_String68",
		"embedded-key=false  public HashMap HashMapOfByte_String69",
		"embedded-key=false embedded-value=true public HashMap HashMapOfByte_String70",
		"embedded-key=false embedded-value=false public HashMap HashMapOfByte_String71",
		"public HashMap HashMapOfDouble_String72",
		"embedded-value=true public HashMap HashMapOfDouble_String73",
		"embedded-value=false public HashMap HashMapOfDouble_String74",
		"embedded-key=true  public HashMap HashMapOfDouble_String75",
		"embedded-key=true embedded-value=true public HashMap HashMapOfDouble_String76",
		"embedded-key=true embedded-value=false public HashMap HashMapOfDouble_String77",
		"embedded-key=false  public HashMap HashMapOfDouble_String78",
		"embedded-key=false embedded-value=true public HashMap HashMapOfDouble_String79",
		"embedded-key=false embedded-value=false public HashMap HashMapOfDouble_String80",
		"public HashMap HashMapOfFloat_String81",
		"embedded-value=true public HashMap HashMapOfFloat_String82",
		"embedded-value=false public HashMap HashMapOfFloat_String83",
		"embedded-key=true  public HashMap HashMapOfFloat_String84",
		"embedded-key=true embedded-value=true public HashMap HashMapOfFloat_String85",
		"embedded-key=true embedded-value=false public HashMap HashMapOfFloat_String86",
		"embedded-key=false  public HashMap HashMapOfFloat_String87",
		"embedded-key=false embedded-value=true public HashMap HashMapOfFloat_String88",
		"embedded-key=false embedded-value=false public HashMap HashMapOfFloat_String89",
		"public HashMap HashMapOfInteger_String90",
		"embedded-value=true public HashMap HashMapOfInteger_String91",
		"embedded-value=false public HashMap HashMapOfInteger_String92",
		"embedded-key=true  public HashMap HashMapOfInteger_String93",
		"embedded-key=true embedded-value=true public HashMap HashMapOfInteger_String94",
		"embedded-key=true embedded-value=false public HashMap HashMapOfInteger_String95",
		"embedded-key=false  public HashMap HashMapOfInteger_String96",
		"embedded-key=false embedded-value=true public HashMap HashMapOfInteger_String97",
		"embedded-key=false embedded-value=false public HashMap HashMapOfInteger_String98",
		"public HashMap HashMapOfLong_String99",
		"embedded-value=true public HashMap HashMapOfLong_String100",
		"embedded-value=false public HashMap HashMapOfLong_String101",
		"embedded-key=true  public HashMap HashMapOfLong_String102",
		"embedded-key=true embedded-value=true public HashMap HashMapOfLong_String103",
		"embedded-key=true embedded-value=false public HashMap HashMapOfLong_String104",
		"embedded-key=false  public HashMap HashMapOfLong_String105",
		"embedded-key=false embedded-value=true public HashMap HashMapOfLong_String106",
		"embedded-key=false embedded-value=false public HashMap HashMapOfLong_String107",
		"public HashMap HashMapOfShort_String108",
		"embedded-value=true public HashMap HashMapOfShort_String109",
		"embedded-value=false public HashMap HashMapOfShort_String110",
		"embedded-key=true  public HashMap HashMapOfShort_String111",
		"embedded-key=true embedded-value=true public HashMap HashMapOfShort_String112",
		"embedded-key=true embedded-value=false public HashMap HashMapOfShort_String113",
		"embedded-key=false  public HashMap HashMapOfShort_String114",
		"embedded-key=false embedded-value=true public HashMap HashMapOfShort_String115",
		"embedded-key=false embedded-value=false public HashMap HashMapOfShort_String116"
	};

	public int getLength() {
		return fieldSpecs.length;
	}

	public HashMap get(int index) {
		switch (index) {
		case (0):
			return HashMapOfObject_String0;
		case (1):
			return HashMapOfObject_String1;
		case (2):
			return HashMapOfObject_String2;
		case (3):
			return HashMapOfObject_String3;
		case (4):
			return HashMapOfObject_String4;
		case (5):
			return HashMapOfObject_String5;
		case (6):
			return HashMapOfObject_String6;
		case (7):
			return HashMapOfObject_String7;
		case (8):
			return HashMapOfObject_String8;
		case (9):
			return HashMapOfSimpleClass_String9;
		case (10):
			return HashMapOfSimpleClass_String10;
		case (11):
			return HashMapOfSimpleClass_String11;
		case (12):
			return HashMapOfSimpleClass_String12;
		case (13):
			return HashMapOfSimpleClass_String13;
		case (14):
			return HashMapOfSimpleClass_String14;
		case (15):
			return HashMapOfSimpleClass_String15;
		case (16):
			return HashMapOfSimpleClass_String16;
		case (17):
			return HashMapOfSimpleClass_String17;
		case (18):
			return HashMapOfSimpleInterface_String18;
		case (19):
			return HashMapOfSimpleInterface_String19;
		case (20):
			return HashMapOfSimpleInterface_String20;
		case (21):
			return HashMapOfSimpleInterface_String21;
		case (22):
			return HashMapOfSimpleInterface_String22;
		case (23):
			return HashMapOfSimpleInterface_String23;
		case (24):
			return HashMapOfSimpleInterface_String24;
		case (25):
			return HashMapOfSimpleInterface_String25;
		case (26):
			return HashMapOfSimpleInterface_String26;
		case (27):
			return HashMapOfString_String27;
		case (28):
			return HashMapOfString_String28;
		case (29):
			return HashMapOfString_String29;
		case (30):
			return HashMapOfString_String30;
		case (31):
			return HashMapOfString_String31;
		case (32):
			return HashMapOfString_String32;
		case (33):
			return HashMapOfString_String33;
		case (34):
			return HashMapOfString_String34;
		case (35):
			return HashMapOfString_String35;
		case (36):
			return HashMapOfDate_String36;
		case (37):
			return HashMapOfDate_String37;
		case (38):
			return HashMapOfDate_String38;
		case (39):
			return HashMapOfDate_String39;
		case (40):
			return HashMapOfDate_String40;
		case (41):
			return HashMapOfDate_String41;
		case (42):
			return HashMapOfDate_String42;
		case (43):
			return HashMapOfDate_String43;
		case (44):
			return HashMapOfDate_String44;
		case (45):
			return HashMapOfBigDecimal_String45;
		case (46):
			return HashMapOfBigDecimal_String46;
		case (47):
			return HashMapOfBigDecimal_String47;
		case (48):
			return HashMapOfBigDecimal_String48;
		case (49):
			return HashMapOfBigDecimal_String49;
		case (50):
			return HashMapOfBigDecimal_String50;
		case (51):
			return HashMapOfBigDecimal_String51;
		case (52):
			return HashMapOfBigDecimal_String52;
		case (53):
			return HashMapOfBigDecimal_String53;
		case (54):
			return HashMapOfBigInteger_String54;
		case (55):
			return HashMapOfBigInteger_String55;
		case (56):
			return HashMapOfBigInteger_String56;
		case (57):
			return HashMapOfBigInteger_String57;
		case (58):
			return HashMapOfBigInteger_String58;
		case (59):
			return HashMapOfBigInteger_String59;
		case (60):
			return HashMapOfBigInteger_String60;
		case (61):
			return HashMapOfBigInteger_String61;
		case (62):
			return HashMapOfBigInteger_String62;
		case (63):
			return HashMapOfByte_String63;
		case (64):
			return HashMapOfByte_String64;
		case (65):
			return HashMapOfByte_String65;
		case (66):
			return HashMapOfByte_String66;
		case (67):
			return HashMapOfByte_String67;
		case (68):
			return HashMapOfByte_String68;
		case (69):
			return HashMapOfByte_String69;
		case (70):
			return HashMapOfByte_String70;
		case (71):
			return HashMapOfByte_String71;
		case (72):
			return HashMapOfDouble_String72;
		case (73):
			return HashMapOfDouble_String73;
		case (74):
			return HashMapOfDouble_String74;
		case (75):
			return HashMapOfDouble_String75;
		case (76):
			return HashMapOfDouble_String76;
		case (77):
			return HashMapOfDouble_String77;
		case (78):
			return HashMapOfDouble_String78;
		case (79):
			return HashMapOfDouble_String79;
		case (80):
			return HashMapOfDouble_String80;
		case (81):
			return HashMapOfFloat_String81;
		case (82):
			return HashMapOfFloat_String82;
		case (83):
			return HashMapOfFloat_String83;
		case (84):
			return HashMapOfFloat_String84;
		case (85):
			return HashMapOfFloat_String85;
		case (86):
			return HashMapOfFloat_String86;
		case (87):
			return HashMapOfFloat_String87;
		case (88):
			return HashMapOfFloat_String88;
		case (89):
			return HashMapOfFloat_String89;
		case (90):
			return HashMapOfInteger_String90;
		case (91):
			return HashMapOfInteger_String91;
		case (92):
			return HashMapOfInteger_String92;
		case (93):
			return HashMapOfInteger_String93;
		case (94):
			return HashMapOfInteger_String94;
		case (95):
			return HashMapOfInteger_String95;
		case (96):
			return HashMapOfInteger_String96;
		case (97):
			return HashMapOfInteger_String97;
		case (98):
			return HashMapOfInteger_String98;
		case (99):
			return HashMapOfLong_String99;
		case (100):
			return HashMapOfLong_String100;
		case (101):
			return HashMapOfLong_String101;
		case (102):
			return HashMapOfLong_String102;
		case (103):
			return HashMapOfLong_String103;
		case (104):
			return HashMapOfLong_String104;
		case (105):
			return HashMapOfLong_String105;
		case (106):
			return HashMapOfLong_String106;
		case (107):
			return HashMapOfLong_String107;
		case (108):
			return HashMapOfShort_String108;
		case (109):
			return HashMapOfShort_String109;
		case (110):
			return HashMapOfShort_String110;
		case (111):
			return HashMapOfShort_String111;
		case (112):
			return HashMapOfShort_String112;
		case (113):
			return HashMapOfShort_String113;
		case (114):
			return HashMapOfShort_String114;
		case (115):
			return HashMapOfShort_String115;
		case (116):
			return HashMapOfShort_String116;
		default:
			throw new IndexOutOfBoundsException();
		}
	}

	public boolean set(int index, HashMap value) {
		if (fieldSpecs[index].indexOf("final") != -1)
			return false;
		switch (index) {
		case (0):
			HashMapOfObject_String0 = value;
			break;
		case (1):
			HashMapOfObject_String1 = value;
			break;
		case (2):
			HashMapOfObject_String2 = value;
			break;
		case (3):
			HashMapOfObject_String3 = value;
			break;
		case (4):
			HashMapOfObject_String4 = value;
			break;
		case (5):
			HashMapOfObject_String5 = value;
			break;
		case (6):
			HashMapOfObject_String6 = value;
			break;
		case (7):
			HashMapOfObject_String7 = value;
			break;
		case (8):
			HashMapOfObject_String8 = value;
			break;
		case (9):
			HashMapOfSimpleClass_String9 = value;
			break;
		case (10):
			HashMapOfSimpleClass_String10 = value;
			break;
		case (11):
			HashMapOfSimpleClass_String11 = value;
			break;
		case (12):
			HashMapOfSimpleClass_String12 = value;
			break;
		case (13):
			HashMapOfSimpleClass_String13 = value;
			break;
		case (14):
			HashMapOfSimpleClass_String14 = value;
			break;
		case (15):
			HashMapOfSimpleClass_String15 = value;
			break;
		case (16):
			HashMapOfSimpleClass_String16 = value;
			break;
		case (17):
			HashMapOfSimpleClass_String17 = value;
			break;
		case (18):
			HashMapOfSimpleInterface_String18 = value;
			break;
		case (19):
			HashMapOfSimpleInterface_String19 = value;
			break;
		case (20):
			HashMapOfSimpleInterface_String20 = value;
			break;
		case (21):
			HashMapOfSimpleInterface_String21 = value;
			break;
		case (22):
			HashMapOfSimpleInterface_String22 = value;
			break;
		case (23):
			HashMapOfSimpleInterface_String23 = value;
			break;
		case (24):
			HashMapOfSimpleInterface_String24 = value;
			break;
		case (25):
			HashMapOfSimpleInterface_String25 = value;
			break;
		case (26):
			HashMapOfSimpleInterface_String26 = value;
			break;
		case (27):
			HashMapOfString_String27 = value;
			break;
		case (28):
			HashMapOfString_String28 = value;
			break;
		case (29):
			HashMapOfString_String29 = value;
			break;
		case (30):
			HashMapOfString_String30 = value;
			break;
		case (31):
			HashMapOfString_String31 = value;
			break;
		case (32):
			HashMapOfString_String32 = value;
			break;
		case (33):
			HashMapOfString_String33 = value;
			break;
		case (34):
			HashMapOfString_String34 = value;
			break;
		case (35):
			HashMapOfString_String35 = value;
			break;
		case (36):
			HashMapOfDate_String36 = value;
			break;
		case (37):
			HashMapOfDate_String37 = value;
			break;
		case (38):
			HashMapOfDate_String38 = value;
			break;
		case (39):
			HashMapOfDate_String39 = value;
			break;
		case (40):
			HashMapOfDate_String40 = value;
			break;
		case (41):
			HashMapOfDate_String41 = value;
			break;
		case (42):
			HashMapOfDate_String42 = value;
			break;
		case (43):
			HashMapOfDate_String43 = value;
			break;
		case (44):
			HashMapOfDate_String44 = value;
			break;
		case (45):
			HashMapOfBigDecimal_String45 = value;
			break;
		case (46):
			HashMapOfBigDecimal_String46 = value;
			break;
		case (47):
			HashMapOfBigDecimal_String47 = value;
			break;
		case (48):
			HashMapOfBigDecimal_String48 = value;
			break;
		case (49):
			HashMapOfBigDecimal_String49 = value;
			break;
		case (50):
			HashMapOfBigDecimal_String50 = value;
			break;
		case (51):
			HashMapOfBigDecimal_String51 = value;
			break;
		case (52):
			HashMapOfBigDecimal_String52 = value;
			break;
		case (53):
			HashMapOfBigDecimal_String53 = value;
			break;
		case (54):
			HashMapOfBigInteger_String54 = value;
			break;
		case (55):
			HashMapOfBigInteger_String55 = value;
			break;
		case (56):
			HashMapOfBigInteger_String56 = value;
			break;
		case (57):
			HashMapOfBigInteger_String57 = value;
			break;
		case (58):
			HashMapOfBigInteger_String58 = value;
			break;
		case (59):
			HashMapOfBigInteger_String59 = value;
			break;
		case (60):
			HashMapOfBigInteger_String60 = value;
			break;
		case (61):
			HashMapOfBigInteger_String61 = value;
			break;
		case (62):
			HashMapOfBigInteger_String62 = value;
			break;
		case (63):
			HashMapOfByte_String63 = value;
			break;
		case (64):
			HashMapOfByte_String64 = value;
			break;
		case (65):
			HashMapOfByte_String65 = value;
			break;
		case (66):
			HashMapOfByte_String66 = value;
			break;
		case (67):
			HashMapOfByte_String67 = value;
			break;
		case (68):
			HashMapOfByte_String68 = value;
			break;
		case (69):
			HashMapOfByte_String69 = value;
			break;
		case (70):
			HashMapOfByte_String70 = value;
			break;
		case (71):
			HashMapOfByte_String71 = value;
			break;
		case (72):
			HashMapOfDouble_String72 = value;
			break;
		case (73):
			HashMapOfDouble_String73 = value;
			break;
		case (74):
			HashMapOfDouble_String74 = value;
			break;
		case (75):
			HashMapOfDouble_String75 = value;
			break;
		case (76):
			HashMapOfDouble_String76 = value;
			break;
		case (77):
			HashMapOfDouble_String77 = value;
			break;
		case (78):
			HashMapOfDouble_String78 = value;
			break;
		case (79):
			HashMapOfDouble_String79 = value;
			break;
		case (80):
			HashMapOfDouble_String80 = value;
			break;
		case (81):
			HashMapOfFloat_String81 = value;
			break;
		case (82):
			HashMapOfFloat_String82 = value;
			break;
		case (83):
			HashMapOfFloat_String83 = value;
			break;
		case (84):
			HashMapOfFloat_String84 = value;
			break;
		case (85):
			HashMapOfFloat_String85 = value;
			break;
		case (86):
			HashMapOfFloat_String86 = value;
			break;
		case (87):
			HashMapOfFloat_String87 = value;
			break;
		case (88):
			HashMapOfFloat_String88 = value;
			break;
		case (89):
			HashMapOfFloat_String89 = value;
			break;
		case (90):
			HashMapOfInteger_String90 = value;
			break;
		case (91):
			HashMapOfInteger_String91 = value;
			break;
		case (92):
			HashMapOfInteger_String92 = value;
			break;
		case (93):
			HashMapOfInteger_String93 = value;
			break;
		case (94):
			HashMapOfInteger_String94 = value;
			break;
		case (95):
			HashMapOfInteger_String95 = value;
			break;
		case (96):
			HashMapOfInteger_String96 = value;
			break;
		case (97):
			HashMapOfInteger_String97 = value;
			break;
		case (98):
			HashMapOfInteger_String98 = value;
			break;
		case (99):
			HashMapOfLong_String99 = value;
			break;
		case (100):
			HashMapOfLong_String100 = value;
			break;
		case (101):
			HashMapOfLong_String101 = value;
			break;
		case (102):
			HashMapOfLong_String102 = value;
			break;
		case (103):
			HashMapOfLong_String103 = value;
			break;
		case (104):
			HashMapOfLong_String104 = value;
			break;
		case (105):
			HashMapOfLong_String105 = value;
			break;
		case (106):
			HashMapOfLong_String106 = value;
			break;
		case (107):
			HashMapOfLong_String107 = value;
			break;
		case (108):
			HashMapOfShort_String108 = value;
			break;
		case (109):
			HashMapOfShort_String109 = value;
			break;
		case (110):
			HashMapOfShort_String110 = value;
			break;
		case (111):
			HashMapOfShort_String111 = value;
			break;
		case (112):
			HashMapOfShort_String112 = value;
			break;
		case (113):
			HashMapOfShort_String113 = value;
			break;
		case (114):
			HashMapOfShort_String114 = value;
			break;
		case (115):
			HashMapOfShort_String115 = value;
			break;
		case (116):
			HashMapOfShort_String116 = value;
			break;
		default:
			throw new IndexOutOfBoundsException();
		}
		return true;
	}

	public static class Oid {
		public int identifier;

		public Oid() {
		}

		public Oid(String s) {
			identifier = Integer.parseInt(s);
		}

		public String toString() {
			return this.getClass().getName() + ": " + identifier;
		}

		public int hashCode() {
			return (int) identifier;
		}

		public boolean equals(Object other) {
			if (other != null && (other instanceof Oid)) {
				Oid k = (Oid) other;
				return k.identifier == this.identifier;
			}
			return false;
		}

	}

}
