/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */

package com.sun.jdotck.models.fieldtypes;

import java.util.*;
import java.math.*;

public class MapStringValueCollections {
	public int identifier;
	public Map MapOfObject_String0;
	public Map MapOfObject_String1;
	public Map MapOfObject_String2;
	public Map MapOfObject_String3;
	public Map MapOfObject_String4;
	public Map MapOfObject_String5;
	public Map MapOfObject_String6;
	public Map MapOfObject_String7;
	public Map MapOfObject_String8;
	public Map MapOfSimpleClass_String9;
	public Map MapOfSimpleClass_String10;
	public Map MapOfSimpleClass_String11;
	public Map MapOfSimpleClass_String12;
	public Map MapOfSimpleClass_String13;
	public Map MapOfSimpleClass_String14;
	public Map MapOfSimpleClass_String15;
	public Map MapOfSimpleClass_String16;
	public Map MapOfSimpleClass_String17;
	public Map MapOfSimpleInterface_String18;
	public Map MapOfSimpleInterface_String19;
	public Map MapOfSimpleInterface_String20;
	public Map MapOfSimpleInterface_String21;
	public Map MapOfSimpleInterface_String22;
	public Map MapOfSimpleInterface_String23;
	public Map MapOfSimpleInterface_String24;
	public Map MapOfSimpleInterface_String25;
	public Map MapOfSimpleInterface_String26;
	public Map MapOfString_String27;
	public Map MapOfString_String28;
	public Map MapOfString_String29;
	public Map MapOfString_String30;
	public Map MapOfString_String31;
	public Map MapOfString_String32;
	public Map MapOfString_String33;
	public Map MapOfString_String34;
	public Map MapOfString_String35;
	public Map MapOfDate_String36;
	public Map MapOfDate_String37;
	public Map MapOfDate_String38;
	public Map MapOfDate_String39;
	public Map MapOfDate_String40;
	public Map MapOfDate_String41;
	public Map MapOfDate_String42;
	public Map MapOfDate_String43;
	public Map MapOfDate_String44;
	public Map MapOfBigDecimal_String45;
	public Map MapOfBigDecimal_String46;
	public Map MapOfBigDecimal_String47;
	public Map MapOfBigDecimal_String48;
	public Map MapOfBigDecimal_String49;
	public Map MapOfBigDecimal_String50;
	public Map MapOfBigDecimal_String51;
	public Map MapOfBigDecimal_String52;
	public Map MapOfBigDecimal_String53;
	public Map MapOfBigInteger_String54;
	public Map MapOfBigInteger_String55;
	public Map MapOfBigInteger_String56;
	public Map MapOfBigInteger_String57;
	public Map MapOfBigInteger_String58;
	public Map MapOfBigInteger_String59;
	public Map MapOfBigInteger_String60;
	public Map MapOfBigInteger_String61;
	public Map MapOfBigInteger_String62;
	public Map MapOfByte_String63;
	public Map MapOfByte_String64;
	public Map MapOfByte_String65;
	public Map MapOfByte_String66;
	public Map MapOfByte_String67;
	public Map MapOfByte_String68;
	public Map MapOfByte_String69;
	public Map MapOfByte_String70;
	public Map MapOfByte_String71;
	public Map MapOfDouble_String72;
	public Map MapOfDouble_String73;
	public Map MapOfDouble_String74;
	public Map MapOfDouble_String75;
	public Map MapOfDouble_String76;
	public Map MapOfDouble_String77;
	public Map MapOfDouble_String78;
	public Map MapOfDouble_String79;
	public Map MapOfDouble_String80;
	public Map MapOfFloat_String81;
	public Map MapOfFloat_String82;
	public Map MapOfFloat_String83;
	public Map MapOfFloat_String84;
	public Map MapOfFloat_String85;
	public Map MapOfFloat_String86;
	public Map MapOfFloat_String87;
	public Map MapOfFloat_String88;
	public Map MapOfFloat_String89;
	public Map MapOfInteger_String90;
	public Map MapOfInteger_String91;
	public Map MapOfInteger_String92;
	public Map MapOfInteger_String93;
	public Map MapOfInteger_String94;
	public Map MapOfInteger_String95;
	public Map MapOfInteger_String96;
	public Map MapOfInteger_String97;
	public Map MapOfInteger_String98;
	public Map MapOfLong_String99;
	public Map MapOfLong_String100;
	public Map MapOfLong_String101;
	public Map MapOfLong_String102;
	public Map MapOfLong_String103;
	public Map MapOfLong_String104;
	public Map MapOfLong_String105;
	public Map MapOfLong_String106;
	public Map MapOfLong_String107;
	public Map MapOfShort_String108;
	public Map MapOfShort_String109;
	public Map MapOfShort_String110;
	public Map MapOfShort_String111;
	public Map MapOfShort_String112;
	public Map MapOfShort_String113;
	public Map MapOfShort_String114;
	public Map MapOfShort_String115;
	public Map MapOfShort_String116;

	public static final String[] fieldSpecs = {
		"public Map MapOfObject_String0",
		"embedded-value=true public Map MapOfObject_String1",
		"embedded-value=false public Map MapOfObject_String2",
		"embedded-key=true  public Map MapOfObject_String3",
		"embedded-key=true embedded-value=true public Map MapOfObject_String4",
		"embedded-key=true embedded-value=false public Map MapOfObject_String5",
		"embedded-key=false  public Map MapOfObject_String6",
		"embedded-key=false embedded-value=true public Map MapOfObject_String7",
		"embedded-key=false embedded-value=false public Map MapOfObject_String8",
		"public Map MapOfSimpleClass_String9",
		"embedded-value=true public Map MapOfSimpleClass_String10",
		"embedded-value=false public Map MapOfSimpleClass_String11",
		"embedded-key=true  public Map MapOfSimpleClass_String12",
		"embedded-key=true embedded-value=true public Map MapOfSimpleClass_String13",
		"embedded-key=true embedded-value=false public Map MapOfSimpleClass_String14",
		"embedded-key=false  public Map MapOfSimpleClass_String15",
		"embedded-key=false embedded-value=true public Map MapOfSimpleClass_String16",
		"embedded-key=false embedded-value=false public Map MapOfSimpleClass_String17",
		"public Map MapOfSimpleInterface_String18",
		"embedded-value=true public Map MapOfSimpleInterface_String19",
		"embedded-value=false public Map MapOfSimpleInterface_String20",
		"embedded-key=true  public Map MapOfSimpleInterface_String21",
		"embedded-key=true embedded-value=true public Map MapOfSimpleInterface_String22",
		"embedded-key=true embedded-value=false public Map MapOfSimpleInterface_String23",
		"embedded-key=false  public Map MapOfSimpleInterface_String24",
		"embedded-key=false embedded-value=true public Map MapOfSimpleInterface_String25",
		"embedded-key=false embedded-value=false public Map MapOfSimpleInterface_String26",
		"public Map MapOfString_String27",
		"embedded-value=true public Map MapOfString_String28",
		"embedded-value=false public Map MapOfString_String29",
		"embedded-key=true  public Map MapOfString_String30",
		"embedded-key=true embedded-value=true public Map MapOfString_String31",
		"embedded-key=true embedded-value=false public Map MapOfString_String32",
		"embedded-key=false  public Map MapOfString_String33",
		"embedded-key=false embedded-value=true public Map MapOfString_String34",
		"embedded-key=false embedded-value=false public Map MapOfString_String35",
		"public Map MapOfDate_String36",
		"embedded-value=true public Map MapOfDate_String37",
		"embedded-value=false public Map MapOfDate_String38",
		"embedded-key=true  public Map MapOfDate_String39",
		"embedded-key=true embedded-value=true public Map MapOfDate_String40",
		"embedded-key=true embedded-value=false public Map MapOfDate_String41",
		"embedded-key=false  public Map MapOfDate_String42",
		"embedded-key=false embedded-value=true public Map MapOfDate_String43",
		"embedded-key=false embedded-value=false public Map MapOfDate_String44",
		"public Map MapOfBigDecimal_String45",
		"embedded-value=true public Map MapOfBigDecimal_String46",
		"embedded-value=false public Map MapOfBigDecimal_String47",
		"embedded-key=true  public Map MapOfBigDecimal_String48",
		"embedded-key=true embedded-value=true public Map MapOfBigDecimal_String49",
		"embedded-key=true embedded-value=false public Map MapOfBigDecimal_String50",
		"embedded-key=false  public Map MapOfBigDecimal_String51",
		"embedded-key=false embedded-value=true public Map MapOfBigDecimal_String52",
		"embedded-key=false embedded-value=false public Map MapOfBigDecimal_String53",
		"public Map MapOfBigInteger_String54",
		"embedded-value=true public Map MapOfBigInteger_String55",
		"embedded-value=false public Map MapOfBigInteger_String56",
		"embedded-key=true  public Map MapOfBigInteger_String57",
		"embedded-key=true embedded-value=true public Map MapOfBigInteger_String58",
		"embedded-key=true embedded-value=false public Map MapOfBigInteger_String59",
		"embedded-key=false  public Map MapOfBigInteger_String60",
		"embedded-key=false embedded-value=true public Map MapOfBigInteger_String61",
		"embedded-key=false embedded-value=false public Map MapOfBigInteger_String62",
		"public Map MapOfByte_String63",
		"embedded-value=true public Map MapOfByte_String64",
		"embedded-value=false public Map MapOfByte_String65",
		"embedded-key=true  public Map MapOfByte_String66",
		"embedded-key=true embedded-value=true public Map MapOfByte_String67",
		"embedded-key=true embedded-value=false public Map MapOfByte_String68",
		"embedded-key=false  public Map MapOfByte_String69",
		"embedded-key=false embedded-value=true public Map MapOfByte_String70",
		"embedded-key=false embedded-value=false public Map MapOfByte_String71",
		"public Map MapOfDouble_String72",
		"embedded-value=true public Map MapOfDouble_String73",
		"embedded-value=false public Map MapOfDouble_String74",
		"embedded-key=true  public Map MapOfDouble_String75",
		"embedded-key=true embedded-value=true public Map MapOfDouble_String76",
		"embedded-key=true embedded-value=false public Map MapOfDouble_String77",
		"embedded-key=false  public Map MapOfDouble_String78",
		"embedded-key=false embedded-value=true public Map MapOfDouble_String79",
		"embedded-key=false embedded-value=false public Map MapOfDouble_String80",
		"public Map MapOfFloat_String81",
		"embedded-value=true public Map MapOfFloat_String82",
		"embedded-value=false public Map MapOfFloat_String83",
		"embedded-key=true  public Map MapOfFloat_String84",
		"embedded-key=true embedded-value=true public Map MapOfFloat_String85",
		"embedded-key=true embedded-value=false public Map MapOfFloat_String86",
		"embedded-key=false  public Map MapOfFloat_String87",
		"embedded-key=false embedded-value=true public Map MapOfFloat_String88",
		"embedded-key=false embedded-value=false public Map MapOfFloat_String89",
		"public Map MapOfInteger_String90",
		"embedded-value=true public Map MapOfInteger_String91",
		"embedded-value=false public Map MapOfInteger_String92",
		"embedded-key=true  public Map MapOfInteger_String93",
		"embedded-key=true embedded-value=true public Map MapOfInteger_String94",
		"embedded-key=true embedded-value=false public Map MapOfInteger_String95",
		"embedded-key=false  public Map MapOfInteger_String96",
		"embedded-key=false embedded-value=true public Map MapOfInteger_String97",
		"embedded-key=false embedded-value=false public Map MapOfInteger_String98",
		"public Map MapOfLong_String99",
		"embedded-value=true public Map MapOfLong_String100",
		"embedded-value=false public Map MapOfLong_String101",
		"embedded-key=true  public Map MapOfLong_String102",
		"embedded-key=true embedded-value=true public Map MapOfLong_String103",
		"embedded-key=true embedded-value=false public Map MapOfLong_String104",
		"embedded-key=false  public Map MapOfLong_String105",
		"embedded-key=false embedded-value=true public Map MapOfLong_String106",
		"embedded-key=false embedded-value=false public Map MapOfLong_String107",
		"public Map MapOfShort_String108",
		"embedded-value=true public Map MapOfShort_String109",
		"embedded-value=false public Map MapOfShort_String110",
		"embedded-key=true  public Map MapOfShort_String111",
		"embedded-key=true embedded-value=true public Map MapOfShort_String112",
		"embedded-key=true embedded-value=false public Map MapOfShort_String113",
		"embedded-key=false  public Map MapOfShort_String114",
		"embedded-key=false embedded-value=true public Map MapOfShort_String115",
		"embedded-key=false embedded-value=false public Map MapOfShort_String116"
	};

	public int getLength() {
		return fieldSpecs.length;
	}

	public Map get(int index) {
		switch (index) {
		case (0):
			return MapOfObject_String0;
		case (1):
			return MapOfObject_String1;
		case (2):
			return MapOfObject_String2;
		case (3):
			return MapOfObject_String3;
		case (4):
			return MapOfObject_String4;
		case (5):
			return MapOfObject_String5;
		case (6):
			return MapOfObject_String6;
		case (7):
			return MapOfObject_String7;
		case (8):
			return MapOfObject_String8;
		case (9):
			return MapOfSimpleClass_String9;
		case (10):
			return MapOfSimpleClass_String10;
		case (11):
			return MapOfSimpleClass_String11;
		case (12):
			return MapOfSimpleClass_String12;
		case (13):
			return MapOfSimpleClass_String13;
		case (14):
			return MapOfSimpleClass_String14;
		case (15):
			return MapOfSimpleClass_String15;
		case (16):
			return MapOfSimpleClass_String16;
		case (17):
			return MapOfSimpleClass_String17;
		case (18):
			return MapOfSimpleInterface_String18;
		case (19):
			return MapOfSimpleInterface_String19;
		case (20):
			return MapOfSimpleInterface_String20;
		case (21):
			return MapOfSimpleInterface_String21;
		case (22):
			return MapOfSimpleInterface_String22;
		case (23):
			return MapOfSimpleInterface_String23;
		case (24):
			return MapOfSimpleInterface_String24;
		case (25):
			return MapOfSimpleInterface_String25;
		case (26):
			return MapOfSimpleInterface_String26;
		case (27):
			return MapOfString_String27;
		case (28):
			return MapOfString_String28;
		case (29):
			return MapOfString_String29;
		case (30):
			return MapOfString_String30;
		case (31):
			return MapOfString_String31;
		case (32):
			return MapOfString_String32;
		case (33):
			return MapOfString_String33;
		case (34):
			return MapOfString_String34;
		case (35):
			return MapOfString_String35;
		case (36):
			return MapOfDate_String36;
		case (37):
			return MapOfDate_String37;
		case (38):
			return MapOfDate_String38;
		case (39):
			return MapOfDate_String39;
		case (40):
			return MapOfDate_String40;
		case (41):
			return MapOfDate_String41;
		case (42):
			return MapOfDate_String42;
		case (43):
			return MapOfDate_String43;
		case (44):
			return MapOfDate_String44;
		case (45):
			return MapOfBigDecimal_String45;
		case (46):
			return MapOfBigDecimal_String46;
		case (47):
			return MapOfBigDecimal_String47;
		case (48):
			return MapOfBigDecimal_String48;
		case (49):
			return MapOfBigDecimal_String49;
		case (50):
			return MapOfBigDecimal_String50;
		case (51):
			return MapOfBigDecimal_String51;
		case (52):
			return MapOfBigDecimal_String52;
		case (53):
			return MapOfBigDecimal_String53;
		case (54):
			return MapOfBigInteger_String54;
		case (55):
			return MapOfBigInteger_String55;
		case (56):
			return MapOfBigInteger_String56;
		case (57):
			return MapOfBigInteger_String57;
		case (58):
			return MapOfBigInteger_String58;
		case (59):
			return MapOfBigInteger_String59;
		case (60):
			return MapOfBigInteger_String60;
		case (61):
			return MapOfBigInteger_String61;
		case (62):
			return MapOfBigInteger_String62;
		case (63):
			return MapOfByte_String63;
		case (64):
			return MapOfByte_String64;
		case (65):
			return MapOfByte_String65;
		case (66):
			return MapOfByte_String66;
		case (67):
			return MapOfByte_String67;
		case (68):
			return MapOfByte_String68;
		case (69):
			return MapOfByte_String69;
		case (70):
			return MapOfByte_String70;
		case (71):
			return MapOfByte_String71;
		case (72):
			return MapOfDouble_String72;
		case (73):
			return MapOfDouble_String73;
		case (74):
			return MapOfDouble_String74;
		case (75):
			return MapOfDouble_String75;
		case (76):
			return MapOfDouble_String76;
		case (77):
			return MapOfDouble_String77;
		case (78):
			return MapOfDouble_String78;
		case (79):
			return MapOfDouble_String79;
		case (80):
			return MapOfDouble_String80;
		case (81):
			return MapOfFloat_String81;
		case (82):
			return MapOfFloat_String82;
		case (83):
			return MapOfFloat_String83;
		case (84):
			return MapOfFloat_String84;
		case (85):
			return MapOfFloat_String85;
		case (86):
			return MapOfFloat_String86;
		case (87):
			return MapOfFloat_String87;
		case (88):
			return MapOfFloat_String88;
		case (89):
			return MapOfFloat_String89;
		case (90):
			return MapOfInteger_String90;
		case (91):
			return MapOfInteger_String91;
		case (92):
			return MapOfInteger_String92;
		case (93):
			return MapOfInteger_String93;
		case (94):
			return MapOfInteger_String94;
		case (95):
			return MapOfInteger_String95;
		case (96):
			return MapOfInteger_String96;
		case (97):
			return MapOfInteger_String97;
		case (98):
			return MapOfInteger_String98;
		case (99):
			return MapOfLong_String99;
		case (100):
			return MapOfLong_String100;
		case (101):
			return MapOfLong_String101;
		case (102):
			return MapOfLong_String102;
		case (103):
			return MapOfLong_String103;
		case (104):
			return MapOfLong_String104;
		case (105):
			return MapOfLong_String105;
		case (106):
			return MapOfLong_String106;
		case (107):
			return MapOfLong_String107;
		case (108):
			return MapOfShort_String108;
		case (109):
			return MapOfShort_String109;
		case (110):
			return MapOfShort_String110;
		case (111):
			return MapOfShort_String111;
		case (112):
			return MapOfShort_String112;
		case (113):
			return MapOfShort_String113;
		case (114):
			return MapOfShort_String114;
		case (115):
			return MapOfShort_String115;
		case (116):
			return MapOfShort_String116;
		default:
			throw new IndexOutOfBoundsException();
		}
	}

	public boolean set(int index, Map value) {
		if (fieldSpecs[index].indexOf("final") != -1)
			return false;
		switch (index) {
		case (0):
			MapOfObject_String0 = value;
			break;
		case (1):
			MapOfObject_String1 = value;
			break;
		case (2):
			MapOfObject_String2 = value;
			break;
		case (3):
			MapOfObject_String3 = value;
			break;
		case (4):
			MapOfObject_String4 = value;
			break;
		case (5):
			MapOfObject_String5 = value;
			break;
		case (6):
			MapOfObject_String6 = value;
			break;
		case (7):
			MapOfObject_String7 = value;
			break;
		case (8):
			MapOfObject_String8 = value;
			break;
		case (9):
			MapOfSimpleClass_String9 = value;
			break;
		case (10):
			MapOfSimpleClass_String10 = value;
			break;
		case (11):
			MapOfSimpleClass_String11 = value;
			break;
		case (12):
			MapOfSimpleClass_String12 = value;
			break;
		case (13):
			MapOfSimpleClass_String13 = value;
			break;
		case (14):
			MapOfSimpleClass_String14 = value;
			break;
		case (15):
			MapOfSimpleClass_String15 = value;
			break;
		case (16):
			MapOfSimpleClass_String16 = value;
			break;
		case (17):
			MapOfSimpleClass_String17 = value;
			break;
		case (18):
			MapOfSimpleInterface_String18 = value;
			break;
		case (19):
			MapOfSimpleInterface_String19 = value;
			break;
		case (20):
			MapOfSimpleInterface_String20 = value;
			break;
		case (21):
			MapOfSimpleInterface_String21 = value;
			break;
		case (22):
			MapOfSimpleInterface_String22 = value;
			break;
		case (23):
			MapOfSimpleInterface_String23 = value;
			break;
		case (24):
			MapOfSimpleInterface_String24 = value;
			break;
		case (25):
			MapOfSimpleInterface_String25 = value;
			break;
		case (26):
			MapOfSimpleInterface_String26 = value;
			break;
		case (27):
			MapOfString_String27 = value;
			break;
		case (28):
			MapOfString_String28 = value;
			break;
		case (29):
			MapOfString_String29 = value;
			break;
		case (30):
			MapOfString_String30 = value;
			break;
		case (31):
			MapOfString_String31 = value;
			break;
		case (32):
			MapOfString_String32 = value;
			break;
		case (33):
			MapOfString_String33 = value;
			break;
		case (34):
			MapOfString_String34 = value;
			break;
		case (35):
			MapOfString_String35 = value;
			break;
		case (36):
			MapOfDate_String36 = value;
			break;
		case (37):
			MapOfDate_String37 = value;
			break;
		case (38):
			MapOfDate_String38 = value;
			break;
		case (39):
			MapOfDate_String39 = value;
			break;
		case (40):
			MapOfDate_String40 = value;
			break;
		case (41):
			MapOfDate_String41 = value;
			break;
		case (42):
			MapOfDate_String42 = value;
			break;
		case (43):
			MapOfDate_String43 = value;
			break;
		case (44):
			MapOfDate_String44 = value;
			break;
		case (45):
			MapOfBigDecimal_String45 = value;
			break;
		case (46):
			MapOfBigDecimal_String46 = value;
			break;
		case (47):
			MapOfBigDecimal_String47 = value;
			break;
		case (48):
			MapOfBigDecimal_String48 = value;
			break;
		case (49):
			MapOfBigDecimal_String49 = value;
			break;
		case (50):
			MapOfBigDecimal_String50 = value;
			break;
		case (51):
			MapOfBigDecimal_String51 = value;
			break;
		case (52):
			MapOfBigDecimal_String52 = value;
			break;
		case (53):
			MapOfBigDecimal_String53 = value;
			break;
		case (54):
			MapOfBigInteger_String54 = value;
			break;
		case (55):
			MapOfBigInteger_String55 = value;
			break;
		case (56):
			MapOfBigInteger_String56 = value;
			break;
		case (57):
			MapOfBigInteger_String57 = value;
			break;
		case (58):
			MapOfBigInteger_String58 = value;
			break;
		case (59):
			MapOfBigInteger_String59 = value;
			break;
		case (60):
			MapOfBigInteger_String60 = value;
			break;
		case (61):
			MapOfBigInteger_String61 = value;
			break;
		case (62):
			MapOfBigInteger_String62 = value;
			break;
		case (63):
			MapOfByte_String63 = value;
			break;
		case (64):
			MapOfByte_String64 = value;
			break;
		case (65):
			MapOfByte_String65 = value;
			break;
		case (66):
			MapOfByte_String66 = value;
			break;
		case (67):
			MapOfByte_String67 = value;
			break;
		case (68):
			MapOfByte_String68 = value;
			break;
		case (69):
			MapOfByte_String69 = value;
			break;
		case (70):
			MapOfByte_String70 = value;
			break;
		case (71):
			MapOfByte_String71 = value;
			break;
		case (72):
			MapOfDouble_String72 = value;
			break;
		case (73):
			MapOfDouble_String73 = value;
			break;
		case (74):
			MapOfDouble_String74 = value;
			break;
		case (75):
			MapOfDouble_String75 = value;
			break;
		case (76):
			MapOfDouble_String76 = value;
			break;
		case (77):
			MapOfDouble_String77 = value;
			break;
		case (78):
			MapOfDouble_String78 = value;
			break;
		case (79):
			MapOfDouble_String79 = value;
			break;
		case (80):
			MapOfDouble_String80 = value;
			break;
		case (81):
			MapOfFloat_String81 = value;
			break;
		case (82):
			MapOfFloat_String82 = value;
			break;
		case (83):
			MapOfFloat_String83 = value;
			break;
		case (84):
			MapOfFloat_String84 = value;
			break;
		case (85):
			MapOfFloat_String85 = value;
			break;
		case (86):
			MapOfFloat_String86 = value;
			break;
		case (87):
			MapOfFloat_String87 = value;
			break;
		case (88):
			MapOfFloat_String88 = value;
			break;
		case (89):
			MapOfFloat_String89 = value;
			break;
		case (90):
			MapOfInteger_String90 = value;
			break;
		case (91):
			MapOfInteger_String91 = value;
			break;
		case (92):
			MapOfInteger_String92 = value;
			break;
		case (93):
			MapOfInteger_String93 = value;
			break;
		case (94):
			MapOfInteger_String94 = value;
			break;
		case (95):
			MapOfInteger_String95 = value;
			break;
		case (96):
			MapOfInteger_String96 = value;
			break;
		case (97):
			MapOfInteger_String97 = value;
			break;
		case (98):
			MapOfInteger_String98 = value;
			break;
		case (99):
			MapOfLong_String99 = value;
			break;
		case (100):
			MapOfLong_String100 = value;
			break;
		case (101):
			MapOfLong_String101 = value;
			break;
		case (102):
			MapOfLong_String102 = value;
			break;
		case (103):
			MapOfLong_String103 = value;
			break;
		case (104):
			MapOfLong_String104 = value;
			break;
		case (105):
			MapOfLong_String105 = value;
			break;
		case (106):
			MapOfLong_String106 = value;
			break;
		case (107):
			MapOfLong_String107 = value;
			break;
		case (108):
			MapOfShort_String108 = value;
			break;
		case (109):
			MapOfShort_String109 = value;
			break;
		case (110):
			MapOfShort_String110 = value;
			break;
		case (111):
			MapOfShort_String111 = value;
			break;
		case (112):
			MapOfShort_String112 = value;
			break;
		case (113):
			MapOfShort_String113 = value;
			break;
		case (114):
			MapOfShort_String114 = value;
			break;
		case (115):
			MapOfShort_String115 = value;
			break;
		case (116):
			MapOfShort_String116 = value;
			break;
		default:
			throw new IndexOutOfBoundsException();
		}
		return true;
	}

	public static class Oid {
		public int identifier;

		public Oid() {
		}

		public Oid(String s) {
			identifier = Integer.parseInt(s);
		}

		public String toString() {
			return this.getClass().getName() + ": " + identifier;
		}

		public int hashCode() {
			return (int) identifier;
		}

		public boolean equals(Object other) {
			if (other != null && (other instanceof Oid)) {
				Oid k = (Oid) other;
				return k.identifier == this.identifier;
			}
			return false;
		}

	}
}
