<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE jdo SYSTEM "jdo.dtd">
<jdo>
    <package name="com.sun.jdotck.models.inheritance">
        <class 
            name="AllPersist" 
            identity-type="nondurable">
            <field name="intA" persistence-modifier="none"/>
        </class>

        <class 
            name="AllPersist2" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.AllPersist">
            <field name="charC" persistence-modifier="none"/>
            <field name="booleanD" persistence-modifier="none"/>
            <field name="floatE" persistence-modifier="transactional"/>
        </class>

        <class 
            name="AllPersist3" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.AllPersist2">
            <field name="secondObj" persistence-modifier="transactional" />
            <field name="thirdObj" persistence-modifier="persistent" null-value="default"/>
        </class>

        <class 
            name="AllPersist4" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.AllPersist3">
            <field name="shortG" persistence-modifier="none"/>
            <field name="fourthObj" persistence-modifier="none"/>
        </class>

        <class 
            name="TopNonPersistB" 
            identity-type="nondurable">
        </class>

        <class 
            name="TopNonPersistE" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.TopNonPersistB">
            <field name="floatE" persistence-modifier="transactional"/>
        </class>

        <class 
            name="TopNonPersistF" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.TopNonPersistE">
            <field name="secondObj" persistence-modifier="transactional" />
            <field name="thirdObj" persistence-modifier="persistent" null-value="default"/>
        </class>

        <class 
            name="TopNonPersistH" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.TopNonPersistF">
        </class>

        <class 
            name="TopPersist" 
            identity-type="nondurable">
            <field name="intA" persistence-modifier="none"/>
        </class>

        <class 
            name="TopPersistE" 
            identity-type="nondurable"
            persistence-capable-superclass ="com.sun.jdotck.models.inheritance.TopPersist">
            <field name="floatE" persistence-modifier="transactional"/>
        </class>

        <class 
            name="TopPersistF" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.TopPersistE">
            <field name="secondObj" persistence-modifier="transactional" />
            <field name="thirdObj" persistence-modifier="persistent" null-value="default"/>
        </class>

        <class 
            name="TopPersistH" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.TopPersistF">
        </class>

        <class 
            name="FieldSameName" 
            identity-type="nondurable">
            <field name="n1" persistence-modifier="none"/>
        </class>

        <class 
            name="FieldSameName2" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.FieldSameName">
            <field name="n1" persistence-modifier="none"/>
            <field name="n2" persistence-modifier="none"/>
            <field name="n3" persistence-modifier="transactional"/>
        </class>

        <class 
            name="FieldSameName3" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.FieldSameName2">
            <field name="n2" persistence-modifier="transactional" />
            <field name="n3" persistence-modifier="persistent" null-value="default"/>
        </class>

        <class 
            name="FieldSameName4" 
            identity-type="nondurable"
            persistence-capable-superclass="com.sun.jdotck.models.inheritance.FieldSameName3">
            <field name="n1" persistence-modifier="none"/>
            <field name="n2" persistence-modifier="none"/>
        </class>

</package>
</jdo>
