/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */


package com.sun.jdotck.models.inheritance;

class FieldSameName2 extends FieldSameName {
	char n1;  // not managed
	boolean n2; // not managed
	float n3;  // transactional

	FieldSameName2() {
		n1 = '3';
		n2 = false;
		n3 = -4.4f;
	}

	FieldSameName2(int intA, double doubleB, int intB, char charC, boolean booleanVal, float floatE) {
		super(intA, doubleB, intB);
		n1 = charC;
		n2 = booleanVal;
		n3 = floatE;
	}

	void setCharC(char charC) {
		n1 = charC;
	}

	char getCharC() {
		return n1;
	}

	void setBooleanD(boolean booleanD) {
		n2 = booleanD;
	}

	boolean getBooleanD() {
		return n2;
	}

	void setFloatE(float floatE) {
		n3 = floatE;
	}

	float getFloatE() {
		return n3;
	}
}
