<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE jdo SYSTEM "jdo.dtd">
<jdo>
  <package name="com.sun.jdotck.models.mylib">

    <!-- This will not be required once the JDOModel is fixed so that
         the defaults defined in section 18.4 of the spec are working
    -->
    <class name="PCPoint" identity-type="nondurable">
      <field name="x"/>
      <field name="y"/>
    </class>

    <class name="PCPoint2" identity-type="nondurable">
      <field name="x"/>
      <field name="y"/>

      <field name="clearCalled" persistence-modifier="none"/>
      <field name="loadCalled" persistence-modifier="none"/>
      <field name="storeCalled" persistence-modifier="none"/>
      <field name="deleteCalled" persistence-modifier="none"/>
    </class>

    <class name="PCRect" identity-type="nondurable">
      <field name="id"/>
      <field name="lowerRight"/>
      <field name="upperLeft"/>
    </class>

    <class name="PrimitiveTypes" identity-type="nondurable">
      <field name="id"/>
      <field name="booleanNotNull"/>
      <field name="booleanNull"/>
      <field name="byteNotNull"/>
      <field name="byteNull"/>
      <field name="shortNotNull"/>
      <field name="shortNull"/>
      <field name="intNotNull"/>
      <field name="intNull"/>
      <field name="longNotNull"/>
      <field name="longNull"/>
      <field name="floatNotNull"/>
      <field name="floatNull"/>
      <field name="doubleNotNull"/>
      <field name="doubleNull"/>
      <field name="charNotNull"/>
      <field name="charNull"/>
      <field name="dateNull"/>
      <field name="stringNull"/>
      <field name="bigDecimal"/>
      <field name="bigInteger"/>
      <field name="PrimitiveTypes"/>
    </class>

  </package>
</jdo>

