/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */

/*
*  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
*  Use is subject to license terms.
*/

package com.sun.jdotck.models.mylib;

/**
 * A simple class with two fields
 *
 * @author Dave Bristor
 */
public class Point {
	public int x;
	public Integer y;

	public Point() {
	}

	public Point(int x, int y) {
		this.x = x;
		this.y = new Integer(y);
	}

	public Point(int x, Integer y) {
		this.x = x;
		this.y = y;
	}

	public String toString() {
		String rc = null;
		Object obj = this;
		try {
			rc = obj.getClass().getName();
			//rc = Util.getClassName(this) + name();
		} catch (NullPointerException ex) {
			rc = "NPE getting Point's values";
		}
		return rc;
	}

	public int getX() {
		System.out.println("Hello from Point.getX");
		return x;
	}

	public Integer getY() {
		System.out.println("Hello from Point.getY");
		return y;
	}

	public String name() {
		return " x: " + getX() + ", y: " + getY().intValue();
	}
}
