/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */


package com.sun.jdotck.models.inheritance;


public class AllPersist2 extends AllPersist {
	char charC;  // not managed
	boolean booleanD; // not managed
	float floatE;  // transactional

	AllPersist2() {
		charC = '3';
		booleanD = false;
		floatE = -4.4f;
	}

	AllPersist2(int intA, double doubleB, int intB, char charC, boolean booleanVal, float floatE) {
		super(intA, doubleB, intB);
		this.charC = charC;
		booleanD = booleanVal;
		this.floatE = floatE;
	}
}
