/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */


package com.sun.jdotck.models.inheritance;

class FieldSameName3 extends FieldSameName2 {
	short n1;  // transient
	FieldSameName4 n2; // transactional
	FieldSameName4 n3;  // persistent

	FieldSameName3() {
		n1 = 1238;
	}

	FieldSameName3(int intA, double doubleB, int intB, char charC, boolean booleanD, float floatE, short shortVal) {
		super(intA, doubleB, intB, charC, booleanD, floatE);
		n1 = shortVal;
	}

	void setShortF(short shortF) {
		n1 = shortF;
	}

	short getShortF() {
		return n1;
	}

	void setSecondObj(FieldSameName4 secondObj) {
		n2 = secondObj;
	}

	FieldSameName4 getSecondObj() {
		return n2;
	}

	void setThirdObj(FieldSameName4 thirdObj) {
		n3 = thirdObj;
	}

	FieldSameName4 getThirdObj() {
		return n3;
	}
}
