/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */


package com.sun.jdotck.models.inheritance;

import javax.jdo.*;
import java.util.*;

class FieldSameName4 extends FieldSameName3 {
	short n1;  // not managed
	FieldSameName4 n2; // not managed
	int n3; // persistent

	FieldSameName4() {
		n1 = -360;
		n3 = -6;
	}

	FieldSameName4(int intA, double doubleB, int intB, char charC, boolean booleanD,
				   float floatE, short shortF, short shortG, int intVal) {
		super(intA, doubleB, intB, charC, booleanD, floatE, shortF);
		n1 = shortG;
		n3 = intVal;
	}

	void setShortG(short shortG) {
		n1 = shortG;
	}

	short getShortG() {
		return n1;
	}

	void setFourthObj(FieldSameName4 fourthObj) {
		n2 = fourthObj;
	}

	FieldSameName4 getFourthObj() {
		return n2;
	}

	void setIntH(int intH) {
		n3 = intH;
	}

	int getIntH() {
		return n3;
	}

	static void removeAllInstances(PersistenceManager pm) {
		Extent e = pm.getExtent(com.sun.jdotck.models.inheritance.FieldSameName4.class, true);
		Iterator i = e.iterator();
		while (i.hasNext()) {
			pm.deletePersistent(i.next());
		}
	}
}
