/*
 * Copyright 2001 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 *
 */


package com.sun.jdotck.models.inheritance;

import javax.jdo.*;
import java.util.*;

public class TopNonPersistH extends TopNonPersistG { // persistent
	int intH; // persistent

	TopNonPersistH() {
		intH = -6;
	}

	TopNonPersistH(int intA, double doubleB, int intB, char charC, boolean booleanD,
				   float floatE, short shortF, short shortG, int intVal) {
		super(intA, doubleB, intB, charC, booleanD, floatE, shortF, shortG);
		intH = intVal;
	}

	static void removeAllInstances(PersistenceManager pm) {
		Extent e = pm.getExtent(com.sun.jdotck.models.inheritance.TopNonPersistH.class, true);
		Iterator i = e.iterator();
		while (i.hasNext()) {
			pm.deletePersistent(i.next());
		}
	}
}
