# Classnames can have the following attributes: 
#          jdo:{persistent|transactional} 
#          super: <classname> 
#          oid: <classname> 
#          access: {public|protected|package|private} 
# Fieldnames can have the following attributes: 
#          type:<type> 
#          access: {public|protected|package|private} 
#          jdo:{persistent|transactional|transient} 
#          annotation:{key|dfg|mediated} 

com.sun.jdotck.models.inheritance.AllPersist=jdo:persistent
com.sun.jdotck.models.inheritance.AllPersist#intA=jdo:transient
com.sun.jdotck.models.inheritance.AllPersist#doubleB=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.AllPersist#intB=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.AllPersist#keyValue=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.AllPersist2=jdo:persistent,super:com.sun.jdotck.models.inheritance.AllPersist
com.sun.jdotck.models.inheritance.AllPersist2#floatE=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.AllPersist2#charC=jdo:transient
com.sun.jdotck.models.inheritance.AllPersist2#booleanD=jdo:transient

com.sun.jdotck.models.inheritance.AllPersist3=jdo:persistent,super:com.sun.jdotck.models.inheritance.AllPersist2
com.sun.jdotck.models.inheritance.AllPersist3#secondObj=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.AllPersist3#shortF=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.AllPersist3#thirdObj=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.AllPersist4=jdo:persistent,super:com.sun.jdotck.models.inheritance.AllPersist3
com.sun.jdotck.models.inheritance.AllPersist4#shortG=jdo:transient
com.sun.jdotck.models.inheritance.AllPersist4#intH=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.FieldSameName=jdo:persistent
com.sun.jdotck.models.inheritance.FieldSameName#keyValue=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.FieldSameName#n1=jdo:transient
com.sun.jdotck.models.inheritance.FieldSameName#n2=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.FieldSameName#n3=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.FieldSameName2=jdo:persistent,super:com.sun.jdotck.models.inheritance.FieldSameName
com.sun.jdotck.models.inheritance.FieldSameName2#n1=jdo:transient
com.sun.jdotck.models.inheritance.FieldSameName2#n2=jdo:transient
com.sun.jdotck.models.inheritance.FieldSameName2#n3=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.FieldSameName3=jdo:persistent,super:com.sun.jdotck.models.inheritance.FieldSameName2
com.sun.jdotck.models.inheritance.FieldSameName3#n1=jdo:transient
com.sun.jdotck.models.inheritance.FieldSameName3#n2=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.FieldSameName3#n3=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.FieldSameName4=jdo:persistent,super:com.sun.jdotck.models.inheritance.FieldSameName3
com.sun.jdotck.models.inheritance.FieldSameName4#n1=jdo:transient
com.sun.jdotck.models.inheritance.FieldSameName4#n2=jdo:transient
com.sun.jdotck.models.inheritance.FieldSameName4#n3=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TestParts=jdo:persistent
com.sun.jdotck.models.inheritance.TestParts#booleanD_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#charC_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#doubleB_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#floatE_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#fourthObj_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#intA_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#intB_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#intH_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#persistentAfterCommit=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#persistentAfterRollback=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#shortF_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#shortG_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#thirdObj_V=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TestParts#transientAfterRollback=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopNonPersistB=jdo:persistent
com.sun.jdotck.models.inheritance.TopNonPersistB#doubleB=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopNonPersistB#intB=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopNonPersistB#keyValue=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopNonPersistE=jdo:persistent,super:com.sun.jdotck.models.inheritance.TopNonPersistB
com.sun.jdotck.models.inheritance.TopNonPersistE#floatE=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopNonPersistF=jdo:persistent,super:com.sun.jdotck.models.inheritance.TopNonPersistE
com.sun.jdotck.models.inheritance.TopNonPersistF#secondObj=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopNonPersistF#shortF=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopNonPersistF#thirdObj=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopNonPersistH=jdo:persistent,super:com.sun.jdotck.models.inheritance.TopNonPersistF
com.sun.jdotck.models.inheritance.TopNonPersistH#intH=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopPersist=jdo:persistent
com.sun.jdotck.models.inheritance.TopPersist#intA=jdo:transient
com.sun.jdotck.models.inheritance.TopPersist#doubleB=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopPersist#intB=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopPersist#keyValue=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopPersistE=jdo:persistent,super:com.sun.jdotck.models.inheritance.TopPersist
com.sun.jdotck.models.inheritance.TopPersistE#floatE=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopPersistF=jdo:persistent,super:com.sun.jdotck.models.inheritance.TopPersistE
com.sun.jdotck.models.inheritance.TopPersistF#secondObj=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopPersistF#shortF=jdo:persistent,annotation:mediated
com.sun.jdotck.models.inheritance.TopPersistF#thirdObj=jdo:persistent,annotation:mediated

com.sun.jdotck.models.inheritance.TopPersistH=jdo:persistent,super:com.sun.jdotck.models.inheritance.TopPersistF
com.sun.jdotck.models.inheritance.TopPersistH#intH=jdo:persistent,annotation:mediated

